RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Entity.TeamRegistration Class Reference

## Public Member Functions
| TeamRegistration ()
| TeamRegistration (Team _team, Competition _competition, Category _category)
Long | getID ()
Long | getTeamID ()
String | getTeamName ()
Team | getTeam ()
int | getCompatitionYear ()
Competition | getCompatition ()
ECategory | getCategory ()
List< Robot > | getRobots ()
void | setCategory (Category _category)

## Constructor & Destructor Documentation

## ◆ TeamRegistration() [1/2]

com.robogames.RoboCupMS.Entity.TeamRegistration.TeamRegistration | ( |  | ) |
| inline

Vytvori registraci tymu do konkretniho rocniku souteze. Bez registrace neni mozne dale registrovat soutezni roboty.

## ◆ TeamRegistration() [2/2]

com.robogames.RoboCupMS.Entity.TeamRegistration.TeamRegistration | ( | Team | _team,
|  | Competition | _competition,
|  | Category | _category
| ) |  |
| inline

Vytvori registraci tymu do konkretniho rocniku souteze. Bez registrace neni mozne dale registrovat soutezni roboty.

Parameters

  _team | Tym, ktery se registruje do souteze
  _competition | Rocnik souteze, do ktereho se tym registruje
  _category | Kategori, ve ktere bude soutezit

## Member Function Documentation

## ◆ getCategory()

ECategory com.robogames.RoboCupMS.Entity.TeamRegistration.getCategory | ( |  | ) |
| inline

Kategorie, ve ktere tym bude soutezit

Returns
  Kategorie

## ◆ getCompatition()

Competition com.robogames.RoboCupMS.Entity.TeamRegistration.getCompatition | ( |  | ) |
| inline

Navrati souteze, ve ktere je tym registrovany

Returns
  Rocnik souteze

## ◆ getCompatitionYear()

int com.robogames.RoboCupMS.Entity.TeamRegistration.getCompatitionYear | ( |  | ) |
| inline

Navrati rocnik souteze, do ktere se tym registuruje

Returns
  Rocnik souteze

## ◆ getID()

Long com.robogames.RoboCupMS.Entity.TeamRegistration.getID | ( |  | ) |
| inline

ID registrace

Returns
  ID

## ◆ getRobots()

List<Robot> com.robogames.RoboCupMS.Entity.TeamRegistration.getRobots | ( |  | ) |
| inline

Navrati seznam vsech robotu, kteri jsou vytvoreni na tuto registraci tymu

Returns
  Seznam vsech vytvorenych robotu

## ◆ getTeam()

Team com.robogames.RoboCupMS.Entity.TeamRegistration.getTeam | ( |  | ) |
| inline

Navrati registrovany tym

Returns
  Tym

## ◆ getTeamID()

Long com.robogames.RoboCupMS.Entity.TeamRegistration.getTeamID | ( |  | ) |
| inline

ID registrovaneho tymu

Returns
  ID tymu

## ◆ getTeamName()

String com.robogames.RoboCupMS.Entity.TeamRegistration.getTeamName | ( |  | ) |
| inline

Jmeno registrovaneho tymu

Returns
  Jmeno tymu

## ◆ setCategory()

void com.robogames.RoboCupMS.Entity.TeamRegistration.setCategory | ( | Category | _category | ) |
| inline

Nastavi kategorii, ve ktere bude tym soutezit

Parameters

  _category | Kategorie

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Entity/TeamRegistration.java